
GammaLib - Feature #1212

Add addition and subtraction operators to GSkymap

06/12/2014 04:36 PM - Knödlseder Jürgen

Status: Closed Start date: 06/12/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3rd coding sprint   

Description

Addition and subtraction operators shall be added to GSkymap that allows adding or subtracting the content of one map to the

content of another map. The operators should work on maps of different size, doing an effective reprojection of the map by bi-linearly

interpolating the map values between the pixel centres.

Below a typical example:

GSkymap coarse("CAR", "GAL", 0.0, 0.0, 0.1, 0.1, 100, 100, 1);

GSkymap fine("MER", "GAL", 0.0, 0.0, 0.01, 0.01, 1000, 1000, 1);

fine += coarse;

fine = fine - coarse;

History

#1 - 06/12/2014 05:34 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 80

The += and -= operators have been implemented. The question remains whether also a + and - operator is needed.

#2 - 06/12/2014 05:35 PM - Knödlseder Jürgen

- Target version set to 00-09-00

#3 - 07/10/2014 11:44 PM - Knödlseder Jürgen

- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

Michael added also *+ and /+ operators.

#4 - 07/11/2014 04:11 PM - Knödlseder Jürgen

- Target version changed from 00-09-00 to 3rd coding sprint

#5 - 07/20/2014 11:22 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
